package com.mq.xiezaixiaoka.db;

import com.mq.mylibrary.db.BaseEntity;
import com.mq.mylibrary.tool.LogTool;
import com.mq.mylibrary.tool.StringTool;

import java.io.Serializable;

/**
 * 创建人 mQ
 * 创建时间 2019/8/22 0022 19:11
 * 文件名称 XieZaiXiaoKaEntity
 * 说明:
 * create TABLE `xie_zai_xiao_ka` (
 * `id` INTEGER PRIMARY KEY AUTOINCREMENT,
 * `check_number` varchar(2000) DEFAULT NULL COMMENT '检斤单号',
 * `work_number` varchar(2000) DEFAULT NULL COMMENT '单据号',
 * `customer` varchar(2000) DEFAULT NULL COMMENT '客户名称',
 * `grain` varchar(2000) DEFAULT NULL COMMENT '粮油品种',
 * `car` varchar(2000) DEFAULT NULL COMMENT '车辆编号',
 * `tare` varchar(2000) DEFAULT NULL COMMENT '皮重(公斤)',
 * `gross_weight` varchar(2000) DEFAULT NULL COMMENT '毛重(公斤)',
 * `platform` varchar(2000) DEFAULT NULL COMMENT '站台',
 * `position` varchar(2000) DEFAULT NULL COMMENT '货位',
 * `finish_count` varchar(2000) DEFAULT NULL COMMENT '卸载件数',
 * `work_team` varchar(2000) DEFAULT NULL COMMENT '作业队',
 * `work_group` varchar(2000) DEFAULT NULL COMMENT '作业组',
 * `entd` varchar(2000) DEFAULT NULL COMMENT '登记人',
 * `start_time` varchar(2000) DEFAULT NULL COMMENT '作业开始时间',
 * `end_time` varchar(2000) DEFAULT NULL COMMENT '作业结束时间'
 * ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='火车出库-汽车卸载（销卡）表';
 **/
public class XieZaiXiaoKaEntity extends BaseEntity implements Serializable {

    //检斤单号
    public String check_number;
    //单据号
    public String work_number;
    //客户名称
    public String customer;
    //粮油品种
    public String grain;
    //车辆编号
    public String car;
    //皮重(公斤)
    public String tare;
    //毛重(公斤)
    public String gross_weight;
    //业务标识
    public String work_flg;
    //站台
    public String platform;
    //货位
    public String position;
    //卸载件数
    public String finish_count;
    //作业队
    public String work_team;
    //作业组
    public String work_group;
    //登记人
    public String entd;
    //作业开始时间
    public String start_time;
    //作业结束时间
    public String end_time;

    /**
     * 模拟卡片数据
     */
    public static String testCardData() {
        return "测试检斤单号|" +
                "测试单据号|" +
                "测试客户名称|" +
                "测试粮油品种|" +
                "测试车辆编号|" +
                "测试皮重|" +
                "测试毛重|" +
                "hcckqcxz"
                ;
    }

    /**
     * 解析卡片数据
     */
    public static XieZaiXiaoKaEntity initData(String result) {
        if (StringTool.isEmpty(result))
            return null;
        //正式读取字段
        String[] datas = result.split("\\|", -1);
        LogTool.i("字段数:" + datas.length + ",字段值:" + result);
        if (datas.length <= 7)
            return null;
        if (!datas[7].equals("hcckqcxz"))
            return null;//不是火车出库-汽车卸载(销卡)

        XieZaiXiaoKaEntity entity = new XieZaiXiaoKaEntity();
        try {
            entity.check_number = (datas[0]);
            entity.work_number = (datas[1]);
            entity.customer = (datas[2]);
            entity.grain = (datas[3]);
            entity.car = (datas[4]);
            entity.tare = (datas[5]);
            entity.gross_weight = (datas[6]);
            entity.work_flg = (datas[7]);
            return entity;
        } catch (Exception e) {
            LogTool.e(e.toString());
            return null;
        }
    }


}
